package com.meeting.demo.dependency.menu.slidelist;

import androidx.annotation.NonNull;

import com.huawei.hwmconf.presentation.dependency.menu.ISlideListMenu;
import com.huawei.hwmconf.sdk.model.conf.entity.ConfInfo;
import com.meeting.demo.R;
import com.meeting.demo.utils.DemoUtil;

public class CustomSlideListMenu implements ISlideListMenu {
    @Override
    public int getId() {
        return R.id.custom_slide_list_mune;
    }

    @Override
    public int getImage() {
        return R.drawable.hwmconf_continuation_normal;
    }

    @Override
    public void onCustomMenuItemClick(@NonNull ConfInfo confInfo) {
        DemoUtil.showToast("自定义侧边会控栏，会议ID: " + confInfo.getConfId());
    }
}
